C **********************************************************************
      SUBROUTINE SU3SB03(F,ALP,SON)
C **********************************************************************
C     VERSION SEPTEMBER 2003
C **********************************************************************
      IMPLICIT REAL*8(A-H,O-Z)
      DIMENSION F(11)
C ----------------------------------------------------------------------
c     f(9)=0d0
C     SU3 SYMMETRIC COUPLINGS:
      CALL SU3(F,ALP)
C ----------------------------------------------------------------------
C     SU3 SYMMETRY BREAKING I=1/2 STATES:

      F(4) = F(4) - F(4)*(1.D0-SON)
      F(5) = F(5) - F(5)*(1.D0-SON)

C ----------------------------------------------------------------------
C     SU3 SYMMETRY BREAKING I=0 STATES:

C     ROTATION TO IDEAL MIXED STATES:
      COST = DSQRT(2.D0/3.D0)
      SINT = DSQRT(1.D0/3.D0)

C     NUCLEON COUPLINGS:
      FNNU = COST*F(9)+SINT*F(6)
      FNNS =-SINT*F(9)+COST*F(6)
      FNNS = FNNS- FNNS*(1.D0-SON*SON)
C     BACK ROTATION TO SU3 SINGLET AND OCTET STATES:
      F(9)= COST*FNNU -SINT*FNNS 
      F(6)= SINT*FNNU +COST*FNNS 

C     LAMBDA COUPLINGS:
      FLLU = COST*F(10)+SINT*F(7)
      FLLS =-SINT*F(10)+COST*F(7)
      FLLS = FLLS- FLLS*(1.D0-SON*SON)
C     BACK ROTATION TO SU3 SINGLET AND OCTET STATES:
      F(10)= COST*FLLU -SINT*FLLS 
      F(7) = SINT*FLLU +COST*FLLS 

C     SIGMA  COUPLINGS:
      FSSU = COST*F(11)+SINT*F(8)
      FSSS =-SINT*F(11)+COST*F(8)
      FSSS = FSSS- FSSS*(1.D0-SON*SON)
C     BACK ROTATION TO SU3 SINGLET AND OCTET STATES:
      F(11)= COST*FSSU -SINT*FSSS 
      F(8) = SINT*FSSU +COST*FSSS 

      RETURN
      END


